package com.pj.project.tb_dept;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * Model: tb_dept -- 组织管理
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbDept.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbDept extends Model<TbDept> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_dept";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-dept";	
	public static final String PERMISSION_CODE_ADD = "tb-dept-add";
	public static final String PERMISSION_CODE_DEL = "tb-dept-del";
	public static final String PERMISSION_CODE_EDIT = "tb-dept-edit";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 人数 
	 */
	private Integer peopleNum=0;

	/**
	 * 描述 
	 */
	private String deptDesc;

	/**
	 * 负责人 
	 */
	private String chargePerson;	

	/**
	 * 联系号码 
	 */
	private String contact;	

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建人 
	 */
	private String createBy;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 更新人 
	 */
	private String updateBy;



	/**
	 * 备注 
	 */
	private String remark;
	private Integer passType=1;
	/**
	 * (0=临时,1=普通,2=管理组织)
	 */
	private Integer adminType=0;



	@Getter
	@AllArgsConstructor
	public static enum PassTypeEnum{
		BLOW(1,"人车均备案"),
		ONE(2,"符合其一"),
		;
		private Integer type;
		private String desc;
	}
	@Getter
	@AllArgsConstructor
	public static enum AdminTypeEnum{
		TEMP_TYPE(0,"临时"),
		NORMAL_TYPE(1,"普通"),
		ADMIN_TYPE(2,"管理"),
		;
		private Integer type;
		private String desc;
	}


	


}
