package com.pj.project.tb_terminal.task;

import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.spring.SpringUtil;

import com.alibaba.fastjson.JSONObject;
import com.pj.current.config.MyConfig;
import com.pj.current.netty.command.constants.CommandType;
import com.pj.current.task.Task;

import com.pj.utils.cache.RedisUtil;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class CommandDelayTask extends Task {

    private ChannelHandlerContext cx;
    private String command;
    private String msgId;



    public CommandDelayTask(String id, long delayInMilliseconds, ChannelHandlerContext cx, String command, String msgId) {
        super(id, delayInMilliseconds);
        this.cx = cx;
        this.command = command;
        this.msgId = msgId;

    }

    @Override
    public void run() {
        log.info("延迟发送命令:{}",command);
        String channelId = cx.channel().id().asShortText();
        RedisUtil.setBySecond(channelId, msgId, 20);
        cx.write(command);
        cx.flush();
    }
}
